Package twisted :: Package protocols :: Module ftp :: Class FTPFactory |
[show private | hide private]
[frames | no frames]

## Class FTPFactory

    Factory --+
              |
             FTPFactory

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`int` | `anonymous`
`str` | `command`
`int` | `otp`
`str` | `root`
`int` | `thirdparty`
`str` | `useranonymous`
`dict` | `userdict`

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

    ### anonymous Type: `int` Value:
        1

    ### command Type: `str` Value:
        ''

    ### otp Type: `int` Value:
        0

    ### root Type: `str` Value:
        '/var/www'

    ### thirdparty Type: `int` Value:
        0

    ### useranonymous Type: `str` Value:
        'anonymous'

    ### userdict Type: `dict` Value:
        {}

Generated by Epydoc 1.1 on Thu May 8 13:18:37 2003 | http://epydoc.sf.net